﻿@model DashboardViewModel

@{
    ViewData["Section"] = "ICO";
    ViewData["Title"] = "My ICOs";
    Layout = "~/Views/Shared/_DashboardLayout.cshtml";
}

<div class="content">

    <div class="card">
        <table class="table m-4">
            <thead>
                <tr>
                    <th scope="col">Name</th>
                    <th scope="col">Raised</th>
                    <th scope="col">Stellar Wallet</th>
                    <th scope="col">Status</th>
                    <th scope="col">Actions</th>
                </tr>
            </thead>
            <tbody>
                @foreach (var campaign in Model.Projects)
                {
                    <tr>
                        <td><a href="/p/@campaign.ShortName">@campaign.Name</a></td>
                        <td>@campaign.GetRaisedString()/@campaign.GetTargetString() XLM (@campaign.GetRaisedPercentage()%)</td>
                        <td><small>@campaign.GetStellarWallet().PublicAddress</small></td>
                        <td>
                            @{
                                switch (campaign.State)
                                {
                                    case ProjectState.Draft:
                                        <text>Ready <a href="/dashboard/icos/@campaign.ShortName/launch">(Launch Now)</a></text>
                                        break;
                                    case ProjectState.Live:
                                        <text>@campaign.GetTimeRemaining() remaining</text>
                                        break;
                                    case ProjectState.Ended:
                                        <text>Ended</text>
                                        break;
                                }
                            }
                        </td>
                        <td><a href="/dashboard/icos/@campaign.ShortName/edit">Edit</a></td>
                    </tr>
                }
            </tbody>
        </table>

    </div>
</div>